import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tanami_app/features/register/presentation/pages/register_user_details_layout.dart';
import 'package:tanami_app/shared/components/bloc/checkbox/checkbox_bloc.dart';

import '../../../../core/styles/app_color.dart';
import '../bloc/register_user_bloc.dart';

class RegisterUserDetailsScreen extends StatelessWidget {
  const RegisterUserDetailsScreen({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      resizeToAvoidBottomInset: true,
      body: MultiBlocProvider(
        providers: [
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => RegisterUserBloc(),
          ),
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => CheckboxBloc(),
          ),
        ],
        child: const RegisterUserDetailsLayout(),
      ),
    );
  }
}
